
import 'package:ormicida_bson/ormicida_bson.dart';

void main() {
  /*final object = {'abc': 0, 'value1': 45.6, 'value2': null, 'value3': true,
                  'value4': false, 'value5': [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15],
                  'value6': {'abc': 0, 'value1': 45.6, 'value2': null}};*/
  //final object = {'a': {'a': 0, 'b': null, 'c': false, 'd': true, 'e': 456.78, 'f': 'ä€ç'}};
  //final object = {'a': {'a': 0, 'b': 'abc'}};
  //final object = {'a': [[null,1,2,3,4,5,6,7,8,9,0,1,2,3,4,5,6,7,8,9,0]]};
  //final object = {'a': 56.67};
  final object = {'a': new DateTime(0)};
  
  _testBson(OBJ_RESPONSE);
}

void _testBson(object) {
  print('#### PIXM #############################################');
  print('object:     $object');
  final bytes = bson.encode(object);
  print('bytes:      $bytes');
  print('length:     ${bytes.length}');
  final result = bson.decode(bytes);
  print('result:     $result');
}

const OBJ_BOOK = const {
  'id': 0,
  'title': 'An Awesome Book Title',
  'releaseDate': '2010-12-25',
  'author': const {'id': 0, 'name': 'Smith'},
  'price': const {'amount': 45.67, 'currency': '€'}
};

const OBJ_USER = const {
  'id': 0,
  'age': 33,
  'name': 'Smith',
  'email': 'smith@smith.com',
  'address': const {'street':'Aqui 56, Ali','code':'2967-012','city':'Acolá','country':'PT'},
  'books': const [OBJ_BOOK, OBJ_BOOK, OBJ_BOOK]
};

const OBJ_RESPONSE = const {
  'success': 1,
  'result': const [OBJ_USER, OBJ_USER, OBJ_USER],
  'error': const {'code':'http.bind.unexpectedClose','argument':'Internal Error'}
};
